<script setup>

const props =defineProps (['text','mailtitle','mailbody','linkclass']);

const showForm = ref(false);


function prepareEmail() {
     showForm.value= !showForm.value;
};

function sendedMail () {
    showForm.value= false;
}

</script>

<template>
    <a @click="prepareEmail()" :class="linkclass" >
        <img src="/images/contact.svg" width="20px" height="20px" class="mr-1" alt="partager par mail" />
        {{ text }}
    </a>
    <ButtonMailForm :mailtitle="mailtitle" :mailbody="mailbody" v-if="showForm" @send="sendedMail ()" />       
</template>